#ifndef GUIB_H
#define GUIB_H 1

#include "gui.h"

typedef enum {
	guiButtonSimple,
	guiButtonCheck,
	guiButtonRadio
} guiButtonStyle;

typedef struct guiButtonStruct {
	guiNativeHandle c, frame;
	guiButtonStyle style;	
	int state;
	int down;
	char *label;
	guiBitmapPtr bitmap;
	struct guiButtonStruct *leader;	
	struct guiButtonStruct *winner;
	int active;
	void (*actionHandler) (char *text, void *clientData);
	void *clientData;
} guiButton, *guiButtonPtr;

guiSize guiButtonEstimate(char *label, guiButtonStyle style);

guiSize guiButtonEstimateBitmap(guiBitmapPtr bitmap, guiButtonStyle style);

guiButtonPtr guiButtonCreate(
	guiCanvasPtr parent, int x, int y, char *label, guiButtonStyle style);

/* IMPORTANT: The bitmap is COPIED. Therefore there is no need to
	keep the original bitmap pointer around indefinitely. */

guiButtonPtr guiButtonCreateBitmap(
	guiCanvasPtr parent, int x, int y, guiBitmapPtr b, 
	guiButtonStyle style);

void guiButtonSetLeader(guiButtonPtr b, guiButtonPtr l); 

void guiButtonSetActionHandler(guiButtonPtr b,
        void (*actionHandler) (char *text, void *clientData));

void guiButtonSetClientData(guiButtonPtr b,       
        void *clientData);

void *guiButtonGetClientData(guiButtonPtr b);

void guiButtonDestroy(guiButtonPtr b);

void guiButtonSetState(guiButtonPtr b, int state);

int guiButtonGetState(guiButtonPtr b);

void guiButtonSetActive(guiButtonPtr b, int active);

int guiButtonGetActive(guiButtonPtr b);

void guiButtonMove(guiButtonPtr b, int x, int y);

guiPoint guiButtonGetPosition(guiButtonPtr b);

guiSize guiButtonGetPhysicalSize(guiButtonPtr b);

void guiButtonShow(guiButtonPtr b, int flag);

extern guiFont guiButtonFont;
extern guiColor guiButtonColor;
extern guiColor guiButtonCheckColor;

#endif /* GUIB_H */

