
#ifndef GUIC_H
#define GUIC_H

#include "gui.h"

typedef struct {
	/* Application canvas that the color is being
		selected for the use of. */
	guiCanvasPtr from;

	/* Current color choice. */
	guiColor current;

	/* The new choice. */
	guiColor chosen;

	/* Window title. */
	char *title;

	/* Window label (inside the window). */
	char *label;

	/* If this is not null, a Help button will be displayed,
		and this function will be invoked when it is selected. 
		text will contain the name of the help button for
		compatibility with other button action handlers. */
	void (*helpHandler) (char *text, void *clientData);

	/* This will be passed as the argument to the helpHandler
		function. */	
	void *helpClientData;
} guiColorSelectOptions, *guiColorSelectOptionsPtr;

typedef enum {
	guiColorSelectCanceled,
	guiColorSelectOK
} guiColorSelectResult;

guiColorSelectResult guiColorSelect(guiColorSelectOptionsPtr options);

#endif /* GUIC_H */

